# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "tp-authorship"
version = "2.0.1"
authors = ["Parity Technologies <admin@parity.io>", "Tetcoin Developers <support@tetcoin.org>"]
description = "Authorship primitives"
homepage = "https://core.tetcoin.org"
documentation = "https://docs.rs/tp-authorship"
readme = "README.md"
keywords = ["tetcoin", "tetcore", "crypto", "blockchain", "framework"]
categories = ["cryptography::cryptocurrencies"]
license = "Apache-2.0"
repository = "https://github.com/tetcoin/tetcore"
[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]
[dependencies.codec]
version = "2.0.1"
features = ["derive"]
default-features = false
package = "tetsy-scale-codec"

[dependencies.tetcore-std]
version = "2.0.1"
default-features = false

[dependencies.tp-inherents]
version = "2.0.1"
default-features = false

[dependencies.tp-runtime]
version = "2.0.1"
default-features = false

[features]
default = ["std"]
std = ["codec/std", "tetcore-std/std", "tp-inherents/std", "tp-runtime/std"]
